/* lifeclr.h: Variables and functions provided by lifeclr.c.		*/
/*									*/
/* (C) 1997 by Brian Raiter, under the terms of the GNU General Public	*/
/* License ver. 2 (or any later version, if you like).			*/

#ifndef	__LIFECLR_H__
#define	__LIFECLR_H__


/* The brush used to paint in the background of the main window. */
extern HBRUSH		hbrushBkgnd;

/* The pen used to draw the frame around the Life world display. */
extern HPEN		hpenRect;

/* The palette containing entries for all of our window elements. */
extern HPALETTE		hpalWnd;

/* Function to setup and alter the color settings. */
extern BOOL SetColor(LPPALETTEENTRY, int, UINT);

/* Function called whenever the palette needs to be asserted. */
extern int AssertPalette(HDC);

/* Displays the Set Color dialog box. */
extern BOOL ColorPrompt(HWND);


#endif	/*  __LIFECLR_H__  */
